#include "engine.h"
#include <QDebug>

void FriendMap::unset(QString id1, QString id2) {
   friends(id1).remove(id2);
   friends(id2).remove(id1);
}

FriendList& FriendMap::friends(QString key) {
      FriendList& retval = operator[](key);
      if (retval.isEmpty()) {
          retval << key;
          insert(key, retval);
      }
      return retval;
}


void FriendMap::set(QString id1, QString id2) {
    FriendList &c1 = operator[](id1);   /* Find all the mapped values matching first key */
    c1 += id2;                          /* We could have used operator<<() here */
    operator[](id2) <<  id1;            /* Same as above but shorter */
}

